CRYPTSETUP-CONVERT(8)

NAME
cryptsetup-convert - converts the device between LUKS1 and LUKS2 format

SYNOPSIS

cryptsetup convert --type <format> [<options>] <device>

DESCRIPTION

Converts the device between LUKS1 and LUKS2 format (if possible). The conversion will not be performed if there is an additional LUKS2 feature or LUKS1 has unsupported header size.

Conversion (both directions) must be performed on inactive device. There must not be active dm-crypt mapping established for LUKS header requested for conversion.

The --type option is mandatory with the following accepted values: luks1 or luks2.

WARNING: The convert action can destroy the LUKS header in the case of a crash during conversion or if a media error occurs. Always create a header backup before performing this operation!

<options> can be [--header, --type, --disable-locks].

OPTIONS

--type <device-type>
    Specifies required device type, for more info read BASIC ACTIONS section in cryptsetup(8).

--header <device or file storing the LUKS header>
    Use a detached (separated) metadata device or file where the LUKS header is stored. This option allows one to store ciphertext and LUKS header on different devices.

    For commands that change the LUKS header (e.g. luksAddKey), specify the device or file with the LUKS header directly as the LUKS device.

--disable-locks
    Disable lock protection for metadata on disk. This option is valid only for LUKS2 and ignored for other formats.

    WARNING: Do not use this option unless you run cryptsetup in a restricted environment where locking is impossible to perform (where /run directory cannot be used).

--batch-mode, -q
    Suppresses all confirmation questions. Use with care!

    If the --verify-passphrase option is not specified, this option also switches off the passphrase verification.

--debug or --debug-json
    Run in debug mode with full diagnostic logs. Debug output lines are always prefixed by #.

    If --debug-json is used, additional LUKS2 JSON data structures are printed.

--version, -V
    Show the program version.

--usage
    Show short option help.

--help, -?
    Show help text and default parameters.

REPORTING BUGS

Report bugs at or in

Please attach output of the failed command with --debug option added.

SEE ALSO

cryptsetup(8), integritysetup(8) and veritysetup(8)

CRYPTSETUP

Part of